Accept Join
POST
/cluster/accept-join
const url = 'https://sylve.lan:8181/api/cluster/accept-join';const options = { method: 'POST', headers: {'X-Cluster-Key': '<X-Cluster-Key>', 'Content-Type': 'application/json'}, body: '{"inventory":{"conflicts":[{"entries":[{"guestId":1,"guestType":"example","name":"example","nodeId":"example","recordId":1}],"guestId":1,"reason":"example"}],"digest":"example","entries":[{"guestId":1,"guestType":"example","name":"example","nodeId":"example","recordId":1}],"inFlightGuestIds":[1]},"nodeId":"example","nodeIp":"example","nodeVersion":"example","preflight":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/cluster/accept-join \ --header 'Content-Type: application/json' \ --header 'X-Cluster-Key: <X-Cluster-Key>' \ --data '{ "inventory": { "conflicts": [ { "entries": [ { "guestId": 1, "guestType": "example", "name": "example", "nodeId": "example", "recordId": 1 } ], "guestId": 1, "reason": "example" } ], "digest": "example", "entries": [ { "guestId": 1, "guestType": "example", "name": "example", "nodeId": "example", "recordId": 1 } ], "inFlightGuestIds": [ 1 ] }, "nodeId": "example", "nodeIp": "example", "nodeVersion": "example", "preflight": true }'Accept a join request from a cluster node
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Accept Join Request
Media typeapplication/json
object
inventory
object
conflicts
Array<object>
object
entries
Array<object>
object
guestId
integer
guestType
string
name
string
nodeId
string
recordId
integer
guestId
integer
reason
string
digest
string
entries
Array<object>
object
guestId
integer
guestType
string
name
string
nodeId
string
recordId
integer
inFlightGuestIds
Array<integer>
nodeId
required
string
nodeIp
required
string
nodeVersion
required
string
preflight
boolean
Examplegenerated
{ "inventory": { "conflicts": [ { "entries": [ { "guestId": 1, "guestType": "example", "name": "example", "nodeId": "example", "recordId": 1 } ], "guestId": 1, "reason": "example" } ], "digest": "example", "entries": [ { "guestId": 1, "guestType": "example", "name": "example", "nodeId": "example", "recordId": 1 } ], "inFlightGuestIds": [ 1 ] }, "nodeId": "example", "nodeIp": "example", "nodeVersion": "example", "preflight": true}Responses
Section titled “Responses”Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict
Media typeapplication/json
object
data
object
conflicts
Array<object>
object
entries
Array<object>
object
guestId
integer
guestType
string
name
string
nodeId
string
recordId
integer
guestId
integer
reason
string
digest
string
entries
Array<object>
object
guestId
integer
guestType
string
name
string
nodeId
string
recordId
integer
inFlightGuestIds
Array<integer>
error
string
message
string
status
string
Examplegenerated
{ "data": { "conflicts": [ { "entries": [ { "guestId": 1, "guestType": "example", "name": "example", "nodeId": "example", "recordId": 1 } ], "guestId": 1, "reason": "example" } ], "digest": "example", "entries": [ { "guestId": 1, "guestType": "example", "name": "example", "nodeId": "example", "recordId": 1 } ], "inFlightGuestIds": [ 1 ] }, "error": "example", "message": "example", "status": "example"}Request Entity Too Large
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}